<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Trend\BestFit</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Define the regression.">
            <span class="description">Define the regression.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBestFitType" title="getBestFitType ::">
            <span class="description"></span><pre>getBestFitType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCorrelation" title="getCorrelation ::">
            <span class="description"></span><pre>getCorrelation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCovariance" title="getCovariance ::">
            <span class="description"></span><pre>getCovariance</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDFResiduals" title="getDFResiduals ::">
            <span class="description"></span><pre>getDFResiduals</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEquation" title="getEquation ::Return the Equation of the best-fit line.">
            <span class="description">Return the Equation of the best-fit line.</span><pre>getEquation</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getError" title="getError ::">
            <span class="description"></span><pre>getError</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getF" title="getF ::">
            <span class="description"></span><pre>getF</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getGoodnessOfFit" title="getGoodnessOfFit ::Return the goodness of fit for this regression.">
            <span class="description">Return the goodness of fit for this regression.</span><pre>getGoodnessOfFit</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getGoodnessOfFitPercent" title="getGoodnessOfFitPercent ::Return the goodness of fit for this regression.">
            <span class="description">Return the goodness of fit for this regression.</span><pre>getGoodnessOfFitPercent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIntersect" title="getIntersect ::Return the Value of X where it intersects Y = 0.">
            <span class="description">Return the Value of X where it intersects Y = 0.</span><pre>getIntersect</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIntersectSE" title="getIntersectSE ::Return the standard error of the Intersect.">
            <span class="description">Return the standard error of the Intersect.</span><pre>getIntersectSE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSlope" title="getSlope ::Return the Slope of the line.">
            <span class="description">Return the Slope of the line.</span><pre>getSlope</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSlopeSE" title="getSlopeSE ::Return the standard error of the Slope.">
            <span class="description">Return the standard error of the Slope.</span><pre>getSlopeSE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSSRegression" title="getSSRegression ::">
            <span class="description"></span><pre>getSSRegression</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSSResiduals" title="getSSResiduals ::">
            <span class="description"></span><pre>getSSResiduals</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStdevOfResiduals" title="getStdevOfResiduals ::Return the standard deviation of the residuals for this regression.">
            <span class="description">Return the standard deviation of the residuals for this regression.</span><pre>getStdevOfResiduals</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getValueOfXForY" title="getValueOfXForY ::Return the X-Value for a specified value of Y.">
            <span class="description">Return the X-Value for a specified value of Y.</span><pre>getValueOfXForY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getValueOfYForX" title="getValueOfYForX ::Return the Y-Value for a specified value of X.">
            <span class="description">Return the Y-Value for a specified value of X.</span><pre>getValueOfYForX</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getXValues" title="getXValues ::Return the original set of X-Values.">
            <span class="description">Return the original set of X-Values.</span><pre>getXValues</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getYBestFitValues" title="getYBestFitValues ::">
            <span class="description"></span><pre>getYBestFitValues</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected">
                            <a href="#method_calculateGoodnessOfFit" title="calculateGoodnessOfFit ::">
                                <span class="description"></span><pre>calculateGoodnessOfFit</pre>
                            </a>
                        </li>                        <li class="methodprotected">
                            <a href="#method_leastSquareFit" title="leastSquareFit ::">
                                <span class="description"></span><pre>leastSquareFit</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>BestFit</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Define the regression.</h2>
                            <pre>__construct(array&lt;mixed,float&gt; $yValues,array&lt;mixed,float&gt; $xValues = array(),boolean $const = true)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$yValues</h4>
                                                <code>array&lt;mixed,float&gt;</code><p><p>The set of Y-values for this regression</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xValues</h4>
                                                <code>array&lt;mixed,float&gt;</code><p><p>The set of X-values for this regression</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$const</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_calculateGoodnessOfFit"></a>
                        <div class="element clickable methodprotected method_calculateGoodnessOfFit" data-toggle="collapse" data-target=".method_calculateGoodnessOfFit .collapse">
                            <h2>calculateGoodnessOfFit</h2>
                            <pre>calculateGoodnessOfFit( $sumX, $sumY, $sumX2, $sumY2, $sumXY, $meanX, $meanY, $const)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$sumX</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$sumY</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$sumX2</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$sumY2</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$sumXY</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$meanX</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$meanY</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$const</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getBestFitType"></a>
                        <div class="element clickable methodpublic method_getBestFitType" data-toggle="collapse" data-target=".method_getBestFitType .collapse">
                            <h2>getBestFitType</h2>
                            <pre>getBestFitType()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getCorrelation"></a>
                        <div class="element clickable methodpublic method_getCorrelation" data-toggle="collapse" data-target=".method_getCorrelation .collapse">
                            <h2>getCorrelation</h2>
                            <pre>getCorrelation(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCovariance"></a>
                        <div class="element clickable methodpublic method_getCovariance" data-toggle="collapse" data-target=".method_getCovariance .collapse">
                            <h2>getCovariance</h2>
                            <pre>getCovariance(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDFResiduals"></a>
                        <div class="element clickable methodpublic method_getDFResiduals" data-toggle="collapse" data-target=".method_getDFResiduals .collapse">
                            <h2>getDFResiduals</h2>
                            <pre>getDFResiduals(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEquation"></a>
                        <div class="element clickable methodpublic method_getEquation" data-toggle="collapse" data-target=".method_getEquation .collapse">
                            <h2>Return the Equation of the best-fit line.</h2>
                            <pre>getEquation(integer $dp): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to display</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getError"></a>
                        <div class="element clickable methodpublic method_getError" data-toggle="collapse" data-target=".method_getError .collapse">
                            <h2>getError</h2>
                            <pre>getError()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getF"></a>
                        <div class="element clickable methodpublic method_getF" data-toggle="collapse" data-target=".method_getF .collapse">
                            <h2>getF</h2>
                            <pre>getF(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getGoodnessOfFit"></a>
                        <div class="element clickable methodpublic method_getGoodnessOfFit" data-toggle="collapse" data-target=".method_getGoodnessOfFit .collapse">
                            <h2>Return the goodness of fit for this regression.</h2>
                            <pre>getGoodnessOfFit(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getGoodnessOfFitPercent"></a>
                        <div class="element clickable methodpublic method_getGoodnessOfFitPercent" data-toggle="collapse" data-target=".method_getGoodnessOfFitPercent .collapse">
                            <h2>Return the goodness of fit for this regression.</h2>
                            <pre>getGoodnessOfFitPercent(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIntersect"></a>
                        <div class="element clickable methodpublic method_getIntersect" data-toggle="collapse" data-target=".method_getIntersect .collapse">
                            <h2>Return the Value of X where it intersects Y = 0.</h2>
                            <pre>getIntersect(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to display</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIntersectSE"></a>
                        <div class="element clickable methodpublic method_getIntersectSE" data-toggle="collapse" data-target=".method_getIntersectSE .collapse">
                            <h2>Return the standard error of the Intersect.</h2>
                            <pre>getIntersectSE(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to display</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSlope"></a>
                        <div class="element clickable methodpublic method_getSlope" data-toggle="collapse" data-target=".method_getSlope .collapse">
                            <h2>Return the Slope of the line.</h2>
                            <pre>getSlope(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to display</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSlopeSE"></a>
                        <div class="element clickable methodpublic method_getSlopeSE" data-toggle="collapse" data-target=".method_getSlopeSE .collapse">
                            <h2>Return the standard error of the Slope.</h2>
                            <pre>getSlopeSE(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to display</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSSRegression"></a>
                        <div class="element clickable methodpublic method_getSSRegression" data-toggle="collapse" data-target=".method_getSSRegression .collapse">
                            <h2>getSSRegression</h2>
                            <pre>getSSRegression(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSSResiduals"></a>
                        <div class="element clickable methodpublic method_getSSResiduals" data-toggle="collapse" data-target=".method_getSSResiduals .collapse">
                            <h2>getSSResiduals</h2>
                            <pre>getSSResiduals(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStdevOfResiduals"></a>
                        <div class="element clickable methodpublic method_getStdevOfResiduals" data-toggle="collapse" data-target=".method_getStdevOfResiduals .collapse">
                            <h2>Return the standard deviation of the residuals for this regression.</h2>
                            <pre>getStdevOfResiduals(integer $dp): float</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dp</h4>
                                                <code>integer</code><p><p>Number of places of decimal precision to return</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getValueOfXForY"></a>
                        <div class="element clickable methodpublic method_getValueOfXForY" data-toggle="collapse" data-target=".method_getValueOfXForY .collapse">
                            <h2>Return the X-Value for a specified value of Y.</h2>
                            <pre>getValueOfXForY(float $yValue): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$yValue</h4>
                                                <code>float</code><p><p>Y-Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>X-Value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getValueOfYForX"></a>
                        <div class="element clickable methodpublic method_getValueOfYForX" data-toggle="collapse" data-target=".method_getValueOfYForX .collapse">
                            <h2>Return the Y-Value for a specified value of X.</h2>
                            <pre>getValueOfYForX(float $xValue): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$xValue</h4>
                                                <code>float</code><p><p>X-Value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>Y-Value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getXValues"></a>
                        <div class="element clickable methodpublic method_getXValues" data-toggle="collapse" data-target=".method_getXValues .collapse">
                            <h2>Return the original set of X-Values.</h2>
                            <pre>getXValues(): array&lt;mixed,float&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,float&gt;</code><p><p>X-Values</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getYBestFitValues"></a>
                        <div class="element clickable methodpublic method_getYBestFitValues" data-toggle="collapse" data-target=".method_getYBestFitValues .collapse">
                            <h2>getYBestFitValues</h2>
                            <pre>getYBestFitValues(): array&lt;mixed,float&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,float&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_leastSquareFit"></a>
                        <div class="element clickable methodprotected method_leastSquareFit" data-toggle="collapse" data-target=".method_leastSquareFit .collapse">
                            <h2>leastSquareFit</h2>
                            <pre>leastSquareFit(array&lt;mixed,float&gt; $yValues,array&lt;mixed,float&gt; $xValues,boolean $const)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$yValues</h4>
                                                <code>array&lt;mixed,float&gt;</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$xValues</h4>
                                                <code>array&lt;mixed,float&gt;</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$const</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_error"> </a>
                            <div class="element clickable propertyprotected property_error" data-toggle="collapse" data-target=".property_error .collapse">
                                <h2>Indicator flag for a calculation error.</h2>
                                <pre>error :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bestFitType"> </a>
                            <div class="element clickable propertyprotected property_bestFitType" data-toggle="collapse" data-target=".property_bestFitType .collapse">
                                <h2>Algorithm type to use for best-fit.</h2>
                                <pre>bestFitType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_valueCount"> </a>
                            <div class="element clickable propertyprotected property_valueCount" data-toggle="collapse" data-target=".property_valueCount .collapse">
                                <h2>Number of entries in the sets of x- and y-value arrays.</h2>
                                <pre>valueCount :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_xValues"> </a>
                            <div class="element clickable propertyprotected property_xValues" data-toggle="collapse" data-target=".property_xValues .collapse">
                                <h2>X-value dataseries of values.</h2>
                                <pre>xValues :array&lt;mixed,float&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,float&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_yValues"> </a>
                            <div class="element clickable propertyprotected property_yValues" data-toggle="collapse" data-target=".property_yValues .collapse">
                                <h2>Y-value dataseries of values.</h2>
                                <pre>yValues :array&lt;mixed,float&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,float&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_adjustToZero"> </a>
                            <div class="element clickable propertyprotected property_adjustToZero" data-toggle="collapse" data-target=".property_adjustToZero .collapse">
                                <h2>Flag indicating whether values should be adjusted to Y=0.</h2>
                                <pre>adjustToZero :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_yBestFitValues"> </a>
                            <div class="element clickable propertyprotected property_yBestFitValues" data-toggle="collapse" data-target=".property_yBestFitValues .collapse">
                                <h2>Y-value series of best-fit values.</h2>
                                <pre>yBestFitValues :array&lt;mixed,float&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,float&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_goodnessOfFit"> </a>
                            <div class="element clickable propertyprotected property_goodnessOfFit" data-toggle="collapse" data-target=".property_goodnessOfFit .collapse">
                                <h2>goodnessOfFit</h2>
                                <pre>goodnessOfFit :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_stdevOfResiduals"> </a>
                            <div class="element clickable propertyprotected property_stdevOfResiduals" data-toggle="collapse" data-target=".property_stdevOfResiduals .collapse">
                                <h2>stdevOfResiduals</h2>
                                <pre>stdevOfResiduals :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_covariance"> </a>
                            <div class="element clickable propertyprotected property_covariance" data-toggle="collapse" data-target=".property_covariance .collapse">
                                <h2>covariance</h2>
                                <pre>covariance :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_correlation"> </a>
                            <div class="element clickable propertyprotected property_correlation" data-toggle="collapse" data-target=".property_correlation .collapse">
                                <h2>correlation</h2>
                                <pre>correlation :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_SSRegression"> </a>
                            <div class="element clickable propertyprotected property_SSRegression" data-toggle="collapse" data-target=".property_SSRegression .collapse">
                                <h2>SSRegression</h2>
                                <pre>SSRegression :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_SSResiduals"> </a>
                            <div class="element clickable propertyprotected property_SSResiduals" data-toggle="collapse" data-target=".property_SSResiduals .collapse">
                                <h2>SSResiduals</h2>
                                <pre>SSResiduals :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_DFResiduals"> </a>
                            <div class="element clickable propertyprotected property_DFResiduals" data-toggle="collapse" data-target=".property_DFResiduals .collapse">
                                <h2>DFResiduals</h2>
                                <pre>DFResiduals :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_f"> </a>
                            <div class="element clickable propertyprotected property_f" data-toggle="collapse" data-target=".property_f .collapse">
                                <h2>f</h2>
                                <pre>f :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_slope"> </a>
                            <div class="element clickable propertyprotected property_slope" data-toggle="collapse" data-target=".property_slope .collapse">
                                <h2>slope</h2>
                                <pre>slope :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_slopeSE"> </a>
                            <div class="element clickable propertyprotected property_slopeSE" data-toggle="collapse" data-target=".property_slopeSE .collapse">
                                <h2>slopeSE</h2>
                                <pre>slopeSE :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_intersect"> </a>
                            <div class="element clickable propertyprotected property_intersect" data-toggle="collapse" data-target=".property_intersect .collapse">
                                <h2>intersect</h2>
                                <pre>intersect :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_intersectSE"> </a>
                            <div class="element clickable propertyprotected property_intersectSE" data-toggle="collapse" data-target=".property_intersectSE .collapse">
                                <h2>intersectSE</h2>
                                <pre>intersectSE :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_xOffset"> </a>
                            <div class="element clickable propertyprotected property_xOffset" data-toggle="collapse" data-target=".property_xOffset .collapse">
                                <h2>xOffset</h2>
                                <pre>xOffset :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_yOffset"> </a>
                            <div class="element clickable propertyprotected property_yOffset" data-toggle="collapse" data-target=".property_yOffset .collapse">
                                <h2>yOffset</h2>
                                <pre>yOffset :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Trend\BestFit"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.Trend.html">Trend</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Trend.BestFit.html">BestFit</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:50 +0000.<br/>
    </footer></body>
</html>
